=== debian/changelog ===
wesnoth-1.10 (1:1.10.3-3+deb7u2) wheezy; urgency=medium

  * Security fix: Disallowed inclusion of .pbl files from WML, independent of
    extension case (CVE-2015-5069, CVE-2015-5070).

 -- Vincent Cheng <vcheng@debian.org>  Wed, 01 Jul 2015 13:30:12 -0700

wesnoth-1.10 (1:1.10.3-3+deb7u1) wheezy-security; urgency=high

  * Pull af61f9fd from upstream to fix "Private file disclosure through
    get_wml_location()" (CVE-2015-0844)

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 08 Apr 2015 11:05:06 +0200

wesnoth-1.10 (1:1.10.3-3) unstable; urgency=low

  * Team upload.
  * Revert /usr/share/doc/wesnoth back into a symlink. (Closes: #688712)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 21 Nov 2012 23:55:27 -0800

wesnoth-1.10 (1:1.10.3-2) unstable; urgency=low

  [ Vincent Cheng ]
  * Fix broken font symlink in debian/rules. (closes: #681556)

 -- Gerfried Fuchs <rhonda@debian.org>  Sun, 02 Sep 2012 13:11:51 +0200

wesnoth-1.10 (1:1.10.3-1) unstable; urgency=low

  * New upstream stable release (closes: #676460)
  * Remove divert handling which was for wesnoth 1.6 (LP: #999378)
  * Update package descriptions with data from campaigns (closes: #675170)
  * Update lintian overrides files.
  * Get rid of wesnoth-all package.

 -- Gerfried Fuchs <rhonda@debian.org>  Fri, 08 Jun 2012 01:04:39 +0200
