## wesnoth-1.10 1.10.4

=== debian/changelog ===
wesnoth-1.10 (1:1.10.4-1) experimental; urgency=low

  * New upstream stable release.
  * Remove the extra ln handling in debian/rules.

 -- Gerfried Fuchs <rhonda@debian.org>  Mon, 03 Sep 2012 12:49:56 +0200
