=== debian/rules ===
--- 
+++ 
@@ -129,12 +129,10 @@
 # Build architecture independant packages using the common target.
 binary-indep: install
 	# workaround for dh_link (mis)behavior, see BTS#445550
-	for i in ttf-dejavu/DejaVuSans.ttf droid/DroidSansJapanese.ttf; \
+	for i in ttf-dejavu/DejaVuSans.ttf droid/DroidSansJapanese.ttf droid/DroidSansFallbackFull.ttf; \
 		do ln -s /usr/share/fonts/truetype/$$i \
 	       	debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/games/wesnoth/$(BRANCH_VERSION)/fonts/`basename $$i`; \
 		done
-	ln -s /usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
-	       	debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/games/wesnoth/$(BRANCH_VERSION)/fonts/DroidSansFallbackFull.ttf
 
 	# rename icons versioned
 
@@ -144,7 +142,7 @@
 		debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/hicolor/64x64/apps/wesnoth-$(BRANCH_VERSION)_editor-icon.png
 
 	# /usr/share/doc symlinks
-	for i in wesnoth wesnoth-core wesnoth-music wesnoth-$(BRANCH_VERSION); do \
+	for i in wesnoth-$(BRANCH_VERSION); do \
 		install -p -d -m755 debian/$$i/usr/share/doc; \
 		ln -s wesnoth-$(BRANCH_VERSION)-data debian/$$i/usr/share/doc/$$i; \
 		done
@@ -199,3 +197,4 @@
 
 
 binary: binary-arch binary-indep
+.PHONY: clean configure build binary-indep binary-arch binary install patch unpatch
