## wesnoth-1.10 1.10.5

=== debian/changelog ===
wesnoth-1.10 (1:1.10.5-1~ubuntu12.04.1) precise-backports; urgency=low

  * Rebuild for precise-backports (LP: #989801)

 -- Gerfried Fuchs <rhonda@ubuntu.com>  Wed, 20 Feb 2013 12:40:00 +0100

wesnoth-1.10 (1:1.10.5-1) experimental; urgency=low

  * Upload to experimental.
  * Add myself to Uploaders.
  * New upstream release.
  * Revert /usr/share/doc/wesnoth back into a symlink. (closes: #688712)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 23 Nov 2012 21:19:41 -0800
