=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
   libboost-program-options-dev,
   libpango1.0-dev, cmake (>= 2.6)
 Standards-Version: 3.9.3
-Uploaders: Gerfried Fuchs <rhonda@debian.org>
+Uploaders: Gerfried Fuchs <rhonda@debian.org>,
+  Vincent Cheng <Vincentc1208@gmail.com>
 Homepage: http://wesnoth.org/
 Vcs-Git: git://git.debian.org/git/pkg-games/wesnoth.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/wesnoth.git;a=summary
