## wesnoth-1.10 1.10.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 # set minimum version
 cmake_minimum_required(VERSION 2.6.0)
+
+include(CheckCXXCompilerFlag)
 
 if(COMMAND cmake_policy)
 	cmake_policy(SET CMP0005 OLD)
@@ -108,6 +110,33 @@
 # Handle options (set paths/definitions/etc...)
 #
 
+# This macro checks whether a compiler supports a compiler flag.
+#
+# If the flag is supported the flag will be added to the target compiler flags.
+# GCC seems to be quite happy to accept flags it does not support when there is
+# a `no' in it e.g. -Wno-not_supported_flag but will fail to compile with
+# -Wnot_supported_flag. For that case all not-named parameters will be added to
+# the target instead.
+#
+# param target                    The variable to add the compiler flag to.
+# param flag                      The compiler flag to test.
+# param variable                  The test macro needs a variable to store the
+#                                 result of the test, this paramter holds that
+#                                 variable.
+# param ...                       If this variable is set it will be added to
+#                                 target instead of flag when the compiler
+#                                 supports flag.
+macro(check_compiler_has_flag target flag variable)
+	check_cxx_compiler_flag(${flag} ${variable})
+	if(${variable})
+		if(${ARGC} GREATER 3)
+			set(${target} "${${target}} ${ARGN}")
+		else(${ARGC} GREATER 3)
+			set(${target} "${${target}} ${flag}")
+		endif(${ARGC} GREATER 3)
+	endif(${variable})
+endmacro(check_compiler_has_flag)
+
 if(CMAKE_COMPILER_IS_GNUCXX)
 	# Set our own default flags at first run.
 	if(NOT CONFIGURED)
@@ -115,6 +144,20 @@
 		if(ENABLE_STRICT_COMPILATION)
 			# The current unit test code breaks strict aliasing with g++ 4.4.
 			set(STRICT_FLAGS "-Werror -Wno-strict-aliasing")
+
+			# This flag is/will be added in gcc-4.8 and fails with BOOST_STATIC_ASSERT
+			check_cxx_compiler_flag("-Wunused-local-typedefs" HAS_COMPILER_FLAG_WUNUSED_LOCAL_TYPEDEFS)
+			if(HAS_COMPILER_FLAG_WUNUSED_LOCAL_TYPEDEFS)
+				set(STRICT_FLAGS "${STRICT_FLAGS} -Wno-unused-local-typedefs")
+			endif(HAS_COMPILER_FLAG_WUNUSED_LOCAL_TYPEDEFS)
+
+			# This flag is/will be added in gcc-4.8 and fails with png in C++11 mode
+			check_compiler_has_flag(
+					STRICT_FLAGS
+					"-Wliteral-suffix"
+					HAS_COMPILER_FLAG_WLITERAL_SUFFIX
+					"-Wno-literal-suffix")
+
 		else(ENABLE_STRICT_COMPILATION)
 			set(STRICT_FLAGS "")
 		endif(ENABLE_STRICT_COMPILATION)
@@ -269,23 +312,3 @@
 # TODO: string replacement to have the real binary name in does not work atm, because in the Categories= block semicolons are lost...
 #
 if(ENABLE_DESKTOP_ENTRY AND ENABLE_GAME)
-	# do some crude string replacing to have the real binary name in the .desktop file (read in original .desktop file, replace the Exec= line with the correct value and output the generated file)
-	#  file(READ icons/wesnoth.desktop wesnoth-desktop-orig)
-	#string(REGEX REPLACE "(\nName.*=.*)\n" "\\1 (${BINARY_SUFFIX})\n" wesnoth-desktop-modified ${wesnoth-desktop-orig} )
-	#  string(REPLACE "Exec=wesnoth" "Exec=${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}" wesnoth-desktop-modified ${wesnoth-desktop-orig} )
-	#  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop ${wesnoth-desktop-modified} )
-
-	#execute_process(COMMAND sed "-i" "'s/^\(Name.*=.*\)$/\1TEST/g'" ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop )
-	#exec_program(sed ARGS "-i" "'s/^\(Name.*=.*\)$/\1TEST/g'" ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop )
-	# install the generated .desktop file
-	#  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth${BINARY_SUFFIX}.desktop DESTINATION ${DESKTOPDIR} )
-	install(FILES icons/wesnoth.desktop DESTINATION ${DESKTOPDIR} )
-	install(FILES icons/wesnoth-icon.png DESTINATION ${ICONDIR} )
-
-	# do some crude string replacing to have the real binary name in the .desktop file (read in original .desktop file, replace the Exec= line with the correct value and output the generated file)
-	#    file(READ icons/wesnoth_editor.desktop wesnoth-editor-desktop-orig)
-	#    string(REPLACE "Exec=wesnoth -e" "Exec=${BINARY_PREFIX}wesnoth${BINARY_SUFFIX} -e" wesnoth-editor-desktop-modified ${wesnoth-editor-desktop-orig} )
-	#    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth_editor${BINARY_SUFFIX}.desktop ${wesnoth-editor-desktop-modified} )
-	# install the generated .desktop file
-	#    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINARY_PREFIX}wesnoth_editor${BINARY_SUFFIX}.desktop DESTINATION ${DESKTOPDIR} )
-	install(FILES icons/wesnoth_editor.desktop DESTINATION ${DESKTOPDIR} )
