=== debian/changelog ===
wesnoth-1.10 (1:1.10.6-2ubuntu1) saucy; urgency=low

  * Fix crash on start (LP: #1212896). 

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Thu, 15 Aug 2013 20:32:01 -0500

wesnoth-1.10 (1:1.10.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 06 May 2013 01:09:02 -0700

wesnoth-1.10 (1:1.10.6-1) experimental; urgency=low

  * New upstream stable release.
  * Enable build hardening.
  * Update lintian overrides.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 21 Mar 2013 22:29:33 -0700
