=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wesnoth-1.10
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7), libsdl-image1.2-dev, libfreetype6-dev,
   libsdl-mixer1.2-dev, libsdl-net1.2-dev, libfribidi-dev, libsdl1.2-dev,
   libsdl-ttf2.0-dev (>= 2.0.8), python-support, libdbus-1-dev,
@@ -247,5 +248,3 @@
 
 Package: wesnoth-1.10-ei
 Depends: ${misc:Depends}, wesnoth-1.10-core (>= ${wesnoth:Min-Version}),
-  wesnoth-1.10-core (<< ${wesnoth:Max-Version})
-Architecture: all
