=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 CONFIGURE_SWITCHES = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-strict-compilation --disable-maintainer-mode --disable-rpath --prefix=/usr --mandir=\$${prefix}/share/man --bindir=\$${prefix}/games --with-datadir-name=wesnoth/$(BRANCH_VERSION) --with-localedir=\$${prefix}/share/games/wesnoth/$(BRANCH_VERSION)/locale --with-fifodir=/var/run/wesnothd --datadir=\$${prefix}/share/games --enable-server --with-fribidi --enable-python-install
 
-CMAKE_SWITCHES = -DBINARY_SUFFIX="-$(BRANCH_VERSION)" -DCMAKE_INSTALL_PREFIX="/usr/" -DBINDIR="/usr/games" -DDATAROOTDIR="/usr/share/games" -DDATADIRNAME="wesnoth/$(BRANCH_VERSION)" -DDESKTOPDIR="/usr/share/applications" -DDOCDIR="/usr/share/doc/wesnoth-$(BRANCH_VERSION)-data" -DLOCALEDIR="locale" -DMANDIR="/usr/share/man" -DUSE_ANA_NETWORK=OFF -DCMAKE_VERBOSE_MAKEFILE=on -DENABLE_OMP=ON
+CMAKE_SWITCHES = -DCXX_FLAGS_USER="$(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" -DCMAKE_EXE_LINKER_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)" -DBINARY_SUFFIX="-$(BRANCH_VERSION)" -DCMAKE_INSTALL_PREFIX="/usr/" -DBINDIR="/usr/games" -DDATAROOTDIR="/usr/share/games" -DDATADIRNAME="wesnoth/$(BRANCH_VERSION)" -DDESKTOPDIR="/usr/share/applications" -DDOCDIR="/usr/share/doc/wesnoth-$(BRANCH_VERSION)-data" -DLOCALEDIR="locale" -DMANDIR="/usr/share/man" -DUSE_ANA_NETWORK=OFF -DCMAKE_VERBOSE_MAKEFILE=on -DENABLE_OMP=ON
 
 
 clean:
@@ -142,7 +142,7 @@
 		debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/hicolor/64x64/apps/wesnoth-$(BRANCH_VERSION)_editor-icon.png
 
 	# /usr/share/doc symlinks
-	for i in wesnoth-$(BRANCH_VERSION); do \
+	for i in wesnoth wesnoth-core wesnoth-music wesnoth-$(BRANCH_VERSION); do \
 		install -p -d -m755 debian/$$i/usr/share/doc; \
 		ln -s wesnoth-$(BRANCH_VERSION)-data debian/$$i/usr/share/doc/$$i; \
 		done
@@ -197,4 +197,3 @@
 
 
 binary: binary-arch binary-indep
-.PHONY: clean configure build binary-indep binary-arch binary install patch unpatch
